Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Static Public Member Functions | List of all members
eZ\Bundle\EzPublishCoreBundle\Composer\ScriptHandler Class Reference
Inheritance diagram for eZ\Bundle\EzPublishCoreBundle\Composer\ScriptHandler:

## Static Public Member Functions
static | clearCache (Event $event)
| Clears the Symfony cache. More...
static | dumpAssets (Event $event)
| Dump minified assets for prod environment under the web root directory. More...
static | dumpAssetsHelpText (Event $event)
| Just dump help text on how to dump assets. More...
static | installWelcomeText (Event $event)
| Just dump welcome text on how to install eZ Platform. More...

## Detailed Description

Definition at line 14 of file ScriptHandler.php.

## Member Function Documentation

## ◆ clearCache()

static eZ\Bundle\EzPublishCoreBundle\Composer\ScriptHandler::clearCache | ( | Event | $event | ) |
| static

Clears the Symfony cache.

Overloaded to clear project containers first before booting up Symfony container as part of clearCache() => cache:clear call. Since this will crash with RuntimeException if bundles have been removed or added when for instance moving between git branches and running `composer install/update` afterwards.

Parameters

  Event | $event |

Definition at line 25 of file ScriptHandler.php.

## ◆ dumpAssets()

static eZ\Bundle\EzPublishCoreBundle\Composer\ScriptHandler::dumpAssets | ( | Event | $event | ) |
| static

Dump minified assets for prod environment under the web root directory.

Parameters

  $event | Event A instance

Definition at line 44 of file ScriptHandler.php.

References eZ\Bundle\EzPublishCoreBundle\Composer\ScriptHandler\dumpAssetsHelpText().

## ◆ dumpAssetsHelpText()

static eZ\Bundle\EzPublishCoreBundle\Composer\ScriptHandler::dumpAssetsHelpText | ( | Event | $event | ) |
| static

Just dump help text on how to dump assets.

Typically to use this instead on composer update as dump command uses prod environment where cache is not cleared, causing it to sometimes crash when cache needs to be cleared.

Deprecated:
  In 7.0 will either be made private for use by dumpAssets, or removed.

Parameters

  $event | Event A instance

Definition at line 93 of file ScriptHandler.php.

Referenced by eZ\Bundle\EzPublishCoreBundle\Composer\ScriptHandler\dumpAssets().

## ◆ installWelcomeText()

static eZ\Bundle\EzPublishCoreBundle\Composer\ScriptHandler::installWelcomeText | ( | Event | $event | ) |
| static

Just dump welcome text on how to install eZ Platform.

Parameters

  $event | Event A instance

Definition at line 106 of file ScriptHandler.php.

The documentation for this class was generated from the following file:

- ScriptHandler.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.